package com.rjconsultores.ventaboletos.dao.hibernate;

import java.util.List;

import org.hibernate.Criteria;
import org.hibernate.SessionFactory;
import org.hibernate.criterion.Order;
import org.hibernate.criterion.Restrictions;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Repository;



import com.rjconsultores.ventaboletos.dao.ClienteDireccionDAO;
import com.rjconsultores.ventaboletos.entidad.Cliente;
import com.rjconsultores.ventaboletos.entidad.ClienteDireccion;


@Repository("clienteDireccionDAO")
public class ClienteDireccionHibernateDAO extends GenericHibernateDAO<ClienteDireccion, Integer>
	implements ClienteDireccionDAO {

    @Autowired
    public ClienteDireccionHibernateDAO(
            @Qualifier("sessionFactory") SessionFactory factory) {
        setSessionFactory(factory);
    }

    @Override
    public List<ClienteDireccion> obtenerTodos() {
        Criteria c = getSession().createCriteria(getPersistentClass());
        c.add(Restrictions.eq(ACTIVO, Boolean.TRUE));
        c.addOrder(Order.asc("id"));
        
        return c.list();
    }

    public List<ClienteDireccion> buscar(Integer clienteId) {
        Criteria c = getSession().createCriteria(getPersistentClass());
        Cliente cliente = new Cliente();
        cliente.setClienteId(clienteId);
        c.add(Restrictions.eq(ACTIVO, Boolean.TRUE));
        c.add(Restrictions.eq("clienteId", cliente));
        return c.list();
    }

    public List<ClienteDireccion> buscar(Cliente cliente){
    	Criteria c = getSession().createCriteria(getPersistentClass());
        //c.add(Restrictions.eq(ACTIVO, Boolean.TRUE));
        c.add(Restrictions.eq("clienteId", cliente));
        return c.list();
    }
}

